summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/chains/0004busy_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/chains/0004busy_1')
-rwxr-xr-xtests/shell/testcases/chains/0004busy_14
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/shell/testcases/chains/0004busy_1 b/tests/shell/testcases/chains/0004busy_1
index cc9a0dad..e68d1baa 100755
--- a/tests/shell/testcases/chains/0004busy_1
+++ b/tests/shell/testcases/chains/0004busy_1
@@ -6,6 +6,8 @@ $NFT add table t
$NFT add chain t c1
$NFT add chain t c2
$NFT add rule t c1 jump c2
+
# kernel should return EBUSY
-$NFT delete chain t c2 2>/dev/null
+$NFT delete chain t c2 2>/dev/null || exit 0
echo "E: deleted a busy chain?" >&2
+exit 1